Bug 1004620 - Import TM box should disable the Import button when no file specified
Import TM box should disable the Import button when no file specified
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.8
Assigned To: Alex Eng
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 00:27 EDT by Damian Jansen
Modified: 2016-01-20 20:40 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.8.0-SNAPSHOT (git-server-3.6.2-554-g21ea07e)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 20:40:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2013-09-05 00:27:40 EDT
Description of problem:
Pressing the Import button when no file is specified returns a dialog indicating:
"There was an error uploading the file: Bad Request (400)"
A user generally wouldn't know what an error 400 is. A good UI would not let the user press the button at all.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy always

Steps to Reproduce:
1. Login as admin
2. Go to Administration, Translation Memory
3. Create a new TM if needed, press Import
4. Press the Import button

Actual results:
There was an error uploading the file: Bad Request (400)

Expected results:
No available button to upload (or at least a better error message). Uploading source documents has a similar disabled button.
Comment 1 Alex Eng 2015-07-07 00:33:07 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/899
Comment 2 Damian Jansen 2015-07-07 01:58:11 EDT
Verified at 21ea07e880c2d97b91af665fa58746252b6e188e

Note You need to log in before you can comment on or make changes to this bug.